## net.i2p.client
Class MessageState

    java.lang.Object
      net.i2p.client.MessageState

class MessageState
extends java.lang.Object

Contains the state of a payload message being sent to a peer

Constructor Summary
`MessageState(I2PAppContext ctx, long nonce, java.lang.String prefix)`

Method Summary
`void` `cancel()`
`long` `getElapsed()`
`SessionKey` `getKey()`
`MessageId` `getMessageId()`
`SessionKey` `getNewKey()`
`long` `getNonce()`
`java.util.Set` `getTags()`
`Destination` `getTo()`
`void` `receive(int status)`
`boolean` `received(int status)` true if the given status (or an equivilant) was received
`void` `setKey(SessionKey key)`
`void` `setMessageId(MessageId id)`
`void` `setNewKey(SessionKey key)`
`void` `setTags(java.util.Set tags)`
`void` `setTo(Destination dest)`
`void` `waitFor(int status, long expiration)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageState

    public MessageState(I2PAppContext ctx,
                        long nonce,
                        java.lang.String prefix)

Method Detail

### receive

    public void receive(int status)

### setMessageId

    public void setMessageId(MessageId id)

### getMessageId

    public MessageId getMessageId()

### getNonce

    public long getNonce()

### setKey

    public void setKey(SessionKey key)

### getKey

    public SessionKey getKey()

### setNewKey

    public void setNewKey(SessionKey key)

### getNewKey

    public SessionKey getNewKey()

### setTags

    public void setTags(java.util.Set tags)

### getTags

    public java.util.Set getTags()

### setTo

    public void setTo(Destination dest)

### getTo

    public Destination getTo()

### getElapsed

    public long getElapsed()

### waitFor

    public void waitFor(int status,
                        long expiration)

### received

    public boolean received(int status)

  true if the given status (or an equivilant) was received

### cancel

    public void cancel()